package multex; //MultexException.java

//2000-10-06  Knabe  Erstellung

/**Marks an exception as to be handled especially by MsgText.
*  All nonstatic public attributes will be considered named parameters
*  for this exception and its message text pattern.
*/

public interface MultexException {


/**Returns the default message text pattern for i_throwable or null.
  Inserting the exception parameters into the message text pattern is
  done by class {@link MsgText}.
  Locale specific message text patterns are handled by MsgText, too.
*/
String getDefaultMessageTextPattern();


}